libweed 0.6.0

- Main Page
- Data Structures
- Files

- File List
- Globals

All Data Structures Files Functions Variables Typedefs Macros
Macros | Typedefs | Functions
weed-effects.h File Reference
`#include <weed/weed.h>`

Go to the source code of this file.

## Macros
#define | WEED_API_VERSION 131
#define | WEED_API_VERSION_131
#define | WEED_PLANT_PLUGIN_INFO 1
#define | WEED_PLANT_FILTER_CLASS 2
#define | WEED_PLANT_FILTER_INSTANCE 3
#define | WEED_PLANT_CHANNEL_TEMPLATE 4
#define | WEED_PLANT_PARAMETER_TEMPLATE 5
#define | WEED_PLANT_CHANNEL 6
#define | WEED_PLANT_PARAMETER 7
#define | WEED_PLANT_GUI 8
#define | WEED_PLANT_HOST_INFO 255
#define | WEED_HINT_UNSPECIFIED 0
#define | WEED_HINT_INTEGER 1
#define | WEED_HINT_FLOAT 2
#define | WEED_HINT_TEXT 3
#define | WEED_HINT_SWITCH 4
#define | WEED_HINT_COLOR 5
#define | WEED_COLORSPACE_RGB 1
#define | WEED_COLORSPACE_RGBA 2
#define | WEED_FILTER_NON_REALTIME (1<<0)
#define | WEED_FILTER_IS_CONVERTER (1<<1)
#define | WEED_FILTER_HINT_IS_STATELESS (1<<2)
#define | WEED_FILTER_HINT_IS_POINT_EFFECT (1<<3)
#define | WEED_FILTER_HINT_MAY_THREAD (1<<5)
#define | WEED_FILTER_PROCESS_LAST (1<<4)
#define | WEED_CHANNEL_REINIT_ON_SIZE_CHANGE (1<<0)
#define | WEED_CHANNEL_REINIT_ON_ROWSTRIDES_CHANGE (1<<6)
#define | WEED_CHANNEL_OUT_ALPHA_PREMULT (1<<7)
#define | WEED_CHANNEL_REINIT_ON_PALETTE_CHANGE (1<<1)
#define | WEED_CHANNEL_CAN_DO_INPLACE (1<<2)
#define | WEED_CHANNEL_SIZE_CAN_VARY (1<<3)
#define | WEED_CHANNEL_PALETTE_CAN_VARY (1<<4)
#define | WEED_CHANNEL_ALPHA_PREMULT (1<<0)
#define | WEED_PARAMETER_REINIT_ON_VALUE_CHANGE (1<<0)
#define | WEED_PARAMETER_VARIABLE_ELEMENTS (1<<1)
#define | WEED_PARAMETER_ELEMENT_PER_CHANNEL (1<<2)
#define | WEED_ERROR_TOO_MANY_INSTANCES 6
#define | WEED_ERROR_HARDWARE 7
#define | WEED_ERROR_INIT_ERROR 8
#define | WEED_ERROR_PLUGIN_INVALID 64

## Typedefs
typedef weed_plant_t *(* | weed_bootstrap_f )(weed_default_getter_f *value, int num_versions, int *plugin_versions)
typedef weed_plant_t *(* | weed_setup_f )(weed_bootstrap_f weed_boot)
typedef void(* | weed_desetup_f )(void)
typedef int(* | weed_init_f )(weed_plant_t *filter_instance)
typedef int(* | weed_process_f )(weed_plant_t *filter_instance, weed_timecode_t timestamp)
typedef int(* | weed_deinit_f )(weed_plant_t *filter_instance)
typedef void(* | weed_display_f )(weed_plant_t *parameter)
typedef int(* | weed_interpolate_f )(weed_plant_t **in_values, weed_plant_t *out_value)

## Functions
weed_plant_t * | weed_setup (weed_bootstrap_f weed_boot)

## Macro Definition Documentation

#define WEED_API_VERSION 131

#define WEED_API_VERSION_131

#define WEED_CHANNEL_ALPHA_PREMULT (1<<0)

#define WEED_CHANNEL_CAN_DO_INPLACE (1<<2)

#define WEED_CHANNEL_OUT_ALPHA_PREMULT (1<<7)

#define WEED_CHANNEL_PALETTE_CAN_VARY (1<<4)

#define WEED_CHANNEL_REINIT_ON_PALETTE_CHANGE (1<<1)

#define WEED_CHANNEL_REINIT_ON_ROWSTRIDES_CHANGE (1<<6)

#define WEED_CHANNEL_REINIT_ON_SIZE_CHANGE (1<<0)

#define WEED_CHANNEL_SIZE_CAN_VARY (1<<3)

#define WEED_COLORSPACE_RGB 1

#define WEED_COLORSPACE_RGBA 2

#define WEED_ERROR_HARDWARE 7

#define WEED_ERROR_INIT_ERROR 8

#define WEED_ERROR_PLUGIN_INVALID 64

#define WEED_ERROR_TOO_MANY_INSTANCES 6

#define WEED_FILTER_HINT_IS_POINT_EFFECT (1<<3)

#define WEED_FILTER_HINT_IS_STATELESS (1<<2)

#define WEED_FILTER_HINT_MAY_THREAD (1<<5)

#define WEED_FILTER_IS_CONVERTER (1<<1)

#define WEED_FILTER_NON_REALTIME (1<<0)

#define WEED_FILTER_PROCESS_LAST (1<<4)

#define WEED_HINT_COLOR 5

#define WEED_HINT_FLOAT 2

#define WEED_HINT_INTEGER 1

#define WEED_HINT_SWITCH 4

#define WEED_HINT_TEXT 3

#define WEED_HINT_UNSPECIFIED 0

#define WEED_PARAMETER_ELEMENT_PER_CHANNEL (1<<2)

#define WEED_PARAMETER_REINIT_ON_VALUE_CHANGE (1<<0)

#define WEED_PARAMETER_VARIABLE_ELEMENTS (1<<1)

#define WEED_PLANT_CHANNEL 6

#define WEED_PLANT_CHANNEL_TEMPLATE 4

#define WEED_PLANT_FILTER_CLASS 2

#define WEED_PLANT_FILTER_INSTANCE 3

#define WEED_PLANT_GUI 8

#define WEED_PLANT_HOST_INFO 255

#define WEED_PLANT_PARAMETER 7

#define WEED_PLANT_PARAMETER_TEMPLATE 5

#define WEED_PLANT_PLUGIN_INFO 1

## Typedef Documentation

typedef weed_plant_t*(* weed_bootstrap_f)(weed_default_getter_f *value, int num_versions, int *plugin_versions)

typedef int(* weed_deinit_f)(weed_plant_t *filter_instance)

typedef void(* weed_desetup_f)(void)

typedef void(* weed_display_f)(weed_plant_t *parameter)

typedef int(* weed_init_f)(weed_plant_t *filter_instance)

typedef int(* weed_interpolate_f)(weed_plant_t **in_values, weed_plant_t *out_value)

typedef int(* weed_process_f)(weed_plant_t *filter_instance, weed_timecode_t timestamp)

typedef weed_plant_t*(* weed_setup_f)(weed_bootstrap_f weed_boot)

## Function Documentation

weed_plant_t* weed_setup | ( | weed_bootstrap_f | weed_boot | ) |